%define upstream_name    DateTime-Format-Flexible
%define upstream_version 0.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A module that try very hard to parse string into DateTime object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Builder) >= 0.740.0
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

# not autodetect, for some reason
Requires:   perl(Class::Factory::Util)
Requires:   perl(DateTime::Format::Strptime)
%description
If you have ever had to use a program that made you type in the date a
certain way and thought "Why can't the computer just figure out what date I
wanted?", this module is for you.

DateTime::Format::Flexible attempts to take any string you give it and
parse it into a DateTime object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO example
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.320.0-2.mga8
+ Revision: 1532210
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.320.0-1.mga8
+ Revision: 1442173
- update to 0.32

* Wed Oct 17 2018 shlomif <shlomif> 0.310.0-1.mga7
+ Revision: 1321447
- update to 0.31

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-2.mga7
+ Revision: 1282647
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 0.300.0-1.mga7
+ Revision: 1210567
- update to 0.30

* Wed Mar 07 2018 shlomif <shlomif> 0.290.0-1.mga7
+ Revision: 1207185
- update to 0.29

* Mon Oct 02 2017 tv <tv> 0.280.0-2.mga7
+ Revision: 1163883
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 0.280.0-1.mga7
+ Revision: 1141296
- update to 0.28

* Sat Jun 18 2016 pterjan <pterjan> 0.260.0-5.mga6
+ Revision: 1025118
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.260.0-4.mga6
+ Revision: 945659
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-3.mga5
+ Revision: 742304
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.260.0-1.mga5
+ Revision: 620527
- update to 0.26

* Sat Oct 19 2013 umeabot <umeabot> 0.250.0-2.mga4
+ Revision: 526858
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.250.0-1.mga4
+ Revision: 439002
- update to 0.25

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 365596
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 342038
- update to 0.24

* Mon Jun 18 2012 kharec <kharec> 0.230.0-1.mga3
+ Revision: 261542
- update to 0.23

* Wed Jan 04 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 190298
- update to 0.21

* Mon Sep 26 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 148053
- update to 0.20

* Mon Jan 24 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 37414
- mageia rebuild
- imported package perl-DateTime-Format-Flexible


* Sat Jan 08 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.190.0-1mdv2011.0
+ Revision: 630621
- update to new version 0.19

* Sun Jan 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.180.0-1mdv2011.0
+ Revision: 627501
- update to new version 0.18

* Mon Nov 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.170.0-1mdv2011.0
+ Revision: 595098
- update to new version 0.17

* Sat Aug 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 573855
- adding missing buildrequires:
- update to 0.16

* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.150.0-3mdv2011.0
+ Revision: 543061
- fix Requires

* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.150.0-2mdv2010.1
+ Revision: 543037
- fix Requires

* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.150.0-1mdv2010.1
+ Revision: 542953
- fix BR, missing for test, 2nd
- fix BR, missing for test
- import perl-DateTime-Format-Flexible


* Thu May 06 2010 cpan2dist 0.15-1mdv
- initial mdv release, generated with cpan2dist
